
Ext.onReady(function(){
    Ext.QuickTips.init();
	
	
 	 var xg = Ext.grid;
	 var sm2 = new xg.CheckboxSelectionModel({
        listeners: {
        selectionchange: function(sm) {
                if (sm.getCount()) {
                    grid.removeButton.enable();
                } else {
                    grid.removeButton.disable();
                }
            }
        }
    });  
	 
	
	var encode = false;
	var local = false;
	
	function confirmdeletesupportinquiry(){
		if(grid.selModel.getCount() == 1)
		{
		  Ext.MessageBox.confirm('Confirmation','You are about to delete a Suppot Inquiry. Continue?', deleteSupport);
		} else if(grid.selModel.getCount() > 1){
		  Ext.MessageBox.confirm('Confirmation','Delete these Suppot Inquiry?', deleteSupport);
		} 
  } 
function deleteSupport(btn){
    if(btn=='yes'){
         var selections = grid.selModel.getSelections();
         var prez = [];
         for(i = 0; i< grid.selModel.getCount(); i++){
          prez.push(selections[i].json.supportinquiry_id);
         }
         var encoded_array = Ext.encode(prez);
		
         Ext.Ajax.request({  
            waitMsg: 'Please Wait',
            url:'data/support-inquiry-grid-delete.php', 
            params: { 
               task: "DELETEEMP", 
               ids:  encoded_array
			   }, 
            success: function(response){
              var result=eval(response.responseText);
              switch(result){
              case 1: 
			  	store.reload();
                break;
              default:
                Ext.MessageBox.alert('Warning','Could not delete the entire selection.');
                break;
              }
            },
            failure: function(response){
              var result=response.responseText;
              Ext.MessageBox.alert('error','could not connect to the database. retry later');      
              }
         });
      }  
  }
  
store = new Ext.data.JsonStore({
       	autoDestroy: true,
        url:'data/support-inquiry-grid-filter.php',
        remoteSort: true,
        sortInfo: {
            field: 'supportinquiry_id',
            direction: 'ASC'
        },        
        idProperty: 'supportinquiry_id',
        root: 'data',
        totalProperty: 'total',
        fields: [{
            name: 'supportinquiry_id',
			type: 'int'
        }, {
            name: 'customer_orgname'
        }, {
            name: 'supportinquiry_date'
        }, {
            name: 'supportinquiry_time'
        }, {
            name: 'support_etime'
        }, {
            name: 'supportinquiry_problem'
		 }
		] 
    });
    var filters = new Ext.ux.grid.GridFilters({
        encode: encode,
        local: false,                                      
		filters: [{
				  type: 'numeric',
            dataIndex: 'supportinquiry_id',
			 phpMode: true
        }, {
			type: 'string',
            dataIndex: 'customer_orgname',
			phpMode: true

        }, {
			type: 'date',
            dataIndex: 'supportinquiry_date',
			phpMode: true

        },{			
			type: 'string',
            dataIndex: 'supportinquiry_problem',
			phpMode: true
        }]
    });
	
var createColModel = function (finish, start) {
        var columns = [
		sm2,
		{
			header: "Edit",	
			width:40,
		    renderer: function(value, metaData, record, rowIndex, colIndex, store) {
		   		return '<a href="addedit-support-inquiry.php?ID='+ record.get('supportinquiry_id') +'">Edit</a>';
			}
		},
		{
			width:40,
            dataIndex: 'supportinquiry_id',
			header: 'support inquiry ID',
			hidden:true,
			filterable: true
        }, {
			width:190,
            dataIndex: 'customer_orgname',
			header: 'Customer Name',
			filterable: true
        },{
			width:80,
            dataIndex: 'supportinquiry_date',
			header: 'Inquiry Date',
		   renderer: Ext.util.Format.dateRenderer('d/M/Y')
        },{
			width:80,
            dataIndex: 'supportinquiry_time',
			header: 'Inquiry Time'
        },{
			width:250,
            dataIndex: 'supportinquiry_problem',
			header: 'Problem',
			filterable: true
        }];
		return new Ext.grid.ColumnModel({
            columns: columns.slice(start || 0, finish),
            defaults: {
                sortable: true
            }
        });
    };
	
var grid = new Ext.grid.GridPanel({
        store: store,
        colModel: createColModel(40), 
        loadMask: true,
		frame: false,
		enableColLock:false,
		//height: 450,    
        width: 600,
        layout: 'fit',
		columnLines:true,
    	selModel: new Ext.grid.RowSelectionModel({singleSelect:false}),
        plugins: [filters],
		sm: sm2,
        listeners: {
            render: {
                fn: function(){
                    store.reload({
                        params: {
                            start: 0,
                            limit:  10 
                        }
                    });
                }
            }
        }  ,
		tbar:[
         { 
		    	iconCls: 'icon-add',
           		text: 'Add Support Inquiry',
				ref: '../removeButton',
            	handler: function() {
               location.href="addedit-support-inquiry.php"; }
              
		            
      		},'-',
			{text: 'Delete Support Inquiry',
            handler: confirmdeletesupportinquiry,  
            iconCls:'remove',
			ref: '../removeButton',
			disabled: true
			}
	  ], 
        bbar: new Ext.PagingToolbar({
            store: store,
            pageSize: 10,
			displayInfo: true,
            plugins: [filters]
        })
    });

    grid.getBottomToolbar().add([
        '->',
      {
            text: 'Clear Filter Data',
            handler: function () {
                grid.filters.clearFilters();
            } 
        }    
    ]);
	
	store.on({
		'beforeload': {
    		fn: function(store, options){
            	options.params || (options.params = {}); 
            	Ext.apply(options.params, {
            		pageNo: this.pageNumber
            	});
        	},
        	scope: this
    	}
	});
	
	grid.on('render', function() {
    grid.tip = new Ext.ToolTip({
    view: grid.getView(),
    target: grid.getView().mainBody,
    delegate: '.x-grid3-row',
    trackMouse: true,
    anchor: 'top',
   renderTo: document.body,
    listeners: {
     beforeshow: function updateTipBody(tip) {
		
	     tip.body.dom.innerHTML = "Click on Edit Link To Edit Record.";
     }
    }
   });
  });
	
	 var SchoolWindow = new Ext.Window({
        title: 'View Support Inquiry Information',
        height: 400,
        width: 690,
		modal:true,
		border: false,
        layout: 'fit',
		closeAction:'close',
		collapsible:'true',
        items: grid
    }).show();
	 
	var varWidth =  (screen.width - SchoolWindow.width)/2;
	SchoolWindow.setPosition(varWidth,((screen.height/4)-100));
});